%global app_root %{_localstatedir}/www/miq
%global doc_root %{_datadir}/%{name}-doc

%global rubyver 1.9.3
%global rubyabi 1.9.1
%global systemd 1

Name:     cfme
Version:  5.3.1.10
Release:  1%{?dist}
Summary:  CloudForms Management Engine

Group:    Applications/System
License:  Unknown
URL:      https://github.com/ManageIQ/manageiq

Source0:  cfme-%{version}.tar.gz

BuildRequires: openslp-devel
BuildRequires: ruby193-ruby >= %{rubyver}
BuildRequires: ruby193-ruby-devel
BuildRequires: scl-utils-build

BuildRequires: mingw32-cfme-ruby-sfx
BuildRequires: mingw32-filesystem
BuildRequires: mingw32-libxml2
BuildRequires: mingw32-libxslt
BuildRequires: mingw32-libyaml
BuildRequires: mingw32-openssl
BuildRequires: mingw32-ruby
BuildRequires: mingw32-rubygem-ffi
BuildRequires: mingw32-rubygem-nokogiri
BuildRequires: mingw32-rubygem-win32-process
BuildRequires: mingw32-rubygem-win32-service
BuildRequires: mingw32-rubygem-windows-pr
BuildRequires: mingw32-win-iconv
BuildRequires: mingw32-zlib
BuildRequires: ruby193-ruby
BuildRequires: ruby193-rubygem-Platform
BuildRequires: ruby193-rubygem-actionpack
BuildRequires: ruby193-rubygem-actionwebservice
BuildRequires: ruby193-rubygem-activemodel
BuildRequires: ruby193-rubygem-activerecord
BuildRequires: ruby193-rubygem-activesupport
BuildRequires: ruby193-rubygem-arel
BuildRequires: ruby193-rubygem-binary_struct
BuildRequires: ruby193-rubygem-builder
BuildRequires: ruby193-rubygem-bundler
BuildRequires: ruby193-rubygem-erubis
BuildRequires: ruby193-rubygem-ezcrypto
BuildRequires: ruby193-rubygem-facade
BuildRequires: ruby193-rubygem-handsoap
BuildRequires: ruby193-rubygem-hike
BuildRequires: ruby193-rubygem-httpclient
BuildRequires: ruby193-rubygem-i18n
BuildRequires: ruby193-rubygem-journey
BuildRequires: ruby193-rubygem-log4r
BuildRequires: ruby193-rubygem-more_core_extensions
BuildRequires: ruby193-rubygem-multi_json
BuildRequires: ruby193-rubygem-rack
BuildRequires: ruby193-rubygem-rack-cache
BuildRequires: ruby193-rubygem-rack-test
BuildRequires: ruby193-rubygem-rake
BuildRequires: ruby193-rubygem-rubyzip
BuildRequires: ruby193-rubygem-rufus-lru
BuildRequires: ruby193-rubygem-rufus-scheduler
BuildRequires: ruby193-rubygem-soap4r
BuildRequires: ruby193-rubygem-sprockets
BuildRequires: ruby193-rubygem-tilt
BuildRequires: ruby193-rubygem-tzinfo
BuildRequires: ruby193-rubygem-uuidtools
BuildRequires: zip


Requires: ruby193-ruby >= %{rubyver}
Requires: ruby193-ruby(abi) = %{rubyabi}

Requires: OpenIPMI
Requires: cfme-lib
Requires: createrepo
Requires: freeipmi
Requires: fuse-libs
Requires: httpd
Requires: ipmitool
Requires: lshw
Requires: memcached
Requires: mod_ssl
Requires: net-snmp
Requires: net-snmp-libs
Requires: net-snmp-utils
Requires: nfs-utils
Requires: nodejs010-nodejs
Requires: portmap
Requires: prince
Requires: qpid-cpp-client-ssl

# IPA Identity RPMs for External Authentication
Requires: c-ares >= 1.7.0
Requires: ipa-admintools >= 3.0.0
Requires: ipa-client >= 3.0.0
Requires: mod_intercept_form_submit >= 0.9.7
Requires: mod_auth_kerb >= 5.4
Requires: mod_authnz_pam >= 0.9.2
Requires: mod_lookup_identity >= 0.9.2

Requires: ruby193-rubygem-Platform = 0.4.0
Requires: ruby193-rubygem-actionmailer >= 3.2.17
Requires: ruby193-rubygem-actionpack >= 3.2.17
Requires: ruby193-rubygem-actionwebservice >= 3.1.0
Requires: ruby193-rubygem-activemodel >= 3.2.17
Requires: ruby193-rubygem-activerecord >= 3.2.17
Requires: ruby193-rubygem-activeresource >= 3.2.17
Requires: ruby193-rubygem-activesupport >= 3.2.17
Requires: ruby193-rubygem-active_hash = 1.3.0
Requires: ruby193-rubygem-acts_as_list = 0.1.9
Requires: ruby193-rubygem-acts_as_tree = 0.1.1
Requires: ruby193-rubygem-addressable = 2.2.8
Requires: ruby193-rubygem-akami = 1.2.0
Requires: ruby193-rubygem-american_date = 1.0.0
Requires: ruby193-rubygem-amq-protocol >= 1.9.2
Requires: ruby193-rubygem-ancestry = 1.2.5
Requires: ruby193-rubygem-arel = 3.0.2
Requires: ruby193-rubygem-arrayfields = 4.9.0
Requires: ruby193-rubygem-awesome_print = 1.1.0
Requires: ruby193-rubygem-awesome_spawn >= 1.2.1
Requires: ruby193-rubygem-aws-sdk = 1.11.3
Requires: ruby193-rubygem-bcrypt-ruby = 3.0.1
Requires: ruby193-rubygem-bigdecimal = 1.1.0
Requires: ruby193-rubygem-binary_struct = 2.0.0
Requires: ruby193-rubygem-builder = 3.0.0
Requires: ruby193-rubygem-bundler = 1.3.5
Requires: ruby193-rubygem-bunny >= 1.0.7
Requires: ruby193-rubygem-bundler_ext = 0.4.0
Requires: ruby193-rubygem-capybara = 2.1.0
Requires: ruby193-rubygem-childprocess = 0.3.9
Requires: ruby193-rubygem-color = 1.4.1
Requires: ruby193-rubygem-colored = 1.2
Requires: ruby193-rubygem-daemons = 1.1.9
Requires: ruby193-rubygem-dalli = 2.2.1
Requires: ruby193-rubygem-default_value_for = 1.0.7
Requires: ruby193-rubygem-diff-lcs = 1.1.3
Requires: ruby193-rubygem-elif = 0.1.0
Requires: ruby193-rubygem-erubis = 2.7.0
Requires: ruby193-rubygem-eventmachine = 1.0.0
Requires: ruby193-rubygem-excon = 0.31.0
Requires: ruby193-rubygem-execjs = 2.0.2
Requires: ruby193-rubygem-ezcrypto = 0.7
Requires: ruby193-rubygem-facade = 1.0.5
Requires: ruby193-rubygem-factory_girl = 4.1.0
Requires: ruby193-rubygem-fattr = 2.2.1
Requires: ruby193-rubygem-ffi = 1.9.3
Requires: ruby193-rubygem-fog = 1.19.0
Requires: ruby193-rubygem-formatador = 0.2.4
Requires: ruby193-rubygem-gssapi = 1.1.2
Requires: ruby193-rubygem-gyoku = 1.0.0
Requires: ruby193-rubygem-haml = 4.0.5
Requires: ruby193-rubygem-haml-rails = 0.4
Requires: ruby193-rubygem-handsoap = 0.2.5
Requires: ruby193-rubygem-highline = 1.6.21
Requires: ruby193-rubygem-hike = 1.2.1
Requires: ruby193-rubygem-hirb = 0.7.1
Requires: ruby193-rubygem-hoe = 2.12.3
Requires: ruby193-rubygem-httparty = 0.10.2
Requires: ruby193-rubygem-httpclient = 2.2.7
Requires: ruby193-rubygem-httpi = 2.0.2
Requires: ruby193-rubygem-i18n = 0.6.9
Requires: ruby193-rubygem-inifile = 2.0.2
Requires: ruby193-rubygem-io-extra = 1.2.6
Requires: ruby193-rubygem-jbuilder = 2.0.7
Requires: ruby193-rubygem-journey = 1.0.4
Requires: ruby193-rubygem-json = 1.8.0
Requires: ruby193-rubygem-json_pure = 1.8.0
Requires: ruby193-rubygem-linux_admin >= 0.9.1
Requires: ruby193-rubygem-little-plugger = 1.1.3
Requires: ruby193-rubygem-log4r = 1.1.8
Requires: ruby193-rubygem-logging = 1.6.2
Requires: ruby193-rubygem-mail = 2.5.4
Requires: ruby193-rubygem-main = 4.7.1
Requires: ruby193-rubygem-map = 6.5.1
Requires: ruby193-rubygem-more_core_extensions >= 1.2.0
Requires: ruby193-rubygem-mime-types = 1.20.1
Requires: ruby193-rubygem-minitest = 3.2.0
Requires: ruby193-rubygem-multi_json = 1.7.7
Requires: ruby193-rubygem-multi_xml = 0.5.2
Requires: ruby193-rubygem-net-ldap = 0.7.0
Requires: ruby193-rubygem-net-ping = 1.7.4
Requires: ruby193-rubygem-net-scp = 1.1.2
Requires: ruby193-rubygem-net-sftp = 2.0.5
Requires: ruby193-rubygem-net-ssh = 2.9.1
Requires: ruby193-rubygem-netrc = 0.7.7
Requires: ruby193-rubygem-nokogiri = 1.5.6
Requires: ruby193-rubygem-nori = 2.1.0
Requires: ruby193-rubygem-open4 = 1.3.0
Requires: ruby193-rubygem-outfielding-jqplot-rails = 1.0.8
Requires: ruby193-rubygem-ovirt_metrics = 1.0.1
Requires: ruby193-rubygem-parallel = 0.5.21
Requires: ruby193-rubygem-pdf-writer = 1.1.8
Requires: ruby193-rubygem-pg = 0.12.2
Requires: ruby193-rubygem-polyglot = 0.3.3
Requires: ruby193-rubygem-princely = 1.2.6
Requires: ruby193-rubygem-prototype-rails = 3.2.1
Requires: ruby193-rubygem-qpid_messaging = 0.20.2
Requires: ruby193-rubygem-rack >= 1.4.5
Requires: ruby193-rubygem-rack-cache = 1.2
Requires: ruby193-rubygem-rack-ssl = 1.3.2
Requires: ruby193-rubygem-rack-test = 0.6.2
Requires: ruby193-rubygem-rails >= 3.2.17
Requires: ruby193-rubygem-railties >= 3.2.17
Requires: ruby193-rubygem-rake = 10.1.0
Requires: ruby193-rubygem-rdoc = 3.12.2
Requires: ruby193-rubygem-rest-client = 1.6.7
Requires: ruby193-rubygem-rspec = 2.12.0
Requires: ruby193-rubygem-rspec-core = 2.12.2
Requires: ruby193-rubygem-rspec-expectations = 2.12.1
Requires: ruby193-rubygem-rspec-fire = 1.3.0
Requires: ruby193-rubygem-rspec-mocks = 2.12.1
Requires: ruby193-rubygem-rspec-rails = 2.12.1
Requires: ruby193-rubygem-ruby-graphviz = 1.0.9
Requires: ruby193-rubygem-ruby-plsql = 0.4.1
Requires: ruby193-rubygem-ruby-progressbar = 0.0.10
Requires: ruby193-rubygem-rubyforge = 2.0.4
Requires: ruby193-rubygem-rubyntlm = 0.4.0
Requires: ruby193-rubygem-rubyrep = 1.2.0
Requires: ruby193-rubygem-rubywbem = 0.1.0
Requires: ruby193-rubygem-rubyzip = 0.9.5
Requires: ruby193-rubygem-rufus-lru = 1.0.5
Requires: ruby193-rubygem-rufus-scheduler = 2.0.19
Requires: ruby193-rubygem-ruport = 1.7.0
Requires: ruby193-rubygem-sass = 3.1.20
Requires: ruby193-rubygem-savon = 2.2.0
Requires: ruby193-rubygem-secure_headers = 1.1.1
Requires: ruby193-rubygem-selenium-webdriver = 2.32.1
Requires: ruby193-rubygem-shoulda-matchers = 1.0.0
Requires: ruby193-rubygem-simple-rss = 1.2.3
Requires: ruby193-rubygem-snmp = 1.1.0
Requires: ruby193-rubygem-soap4r = 1.6.0
Requires: ruby193-rubygem-sprockets = 2.4.5
Requires: ruby193-rubygem-state_machine = 1.1.2
Requires: ruby193-rubygem-syntax = 1.0.0
Requires: ruby193-rubygem-thin = 1.3.1
Requires: ruby193-rubygem-thor = 0.18.1
Requires: ruby193-rubygem-tilt = 1.3.3
Requires: ruby193-rubygem-timecop = 0.5.3
Requires: ruby193-rubygem-transaction-simple = 1.4.0
Requires: ruby193-rubygem-treetop = 1.4.10
Requires: ruby193-rubygem-trollop = 1.16.2
Requires: ruby193-rubygem-tzinfo = 0.3.33
Requires: ruby193-rubygem-uglifier = 2.4.0
Requires: ruby193-rubygem-uuidtools = 2.1.3
Requires: ruby193-rubygem-vcr = 2.4.0
Requires: ruby193-rubygem-wasabi = 3.1.0
Requires: ruby193-rubygem-websocket = 1.0.7
Requires: ruby193-rubygem-winrm = 1.1.3
Requires: ruby193-rubygem-xml-simple = 1.0.12
Requires: ruby193-rubygem-xpath = 2.0.0
Requires: ruby193-rubygem-ziya = 2.3.0
Requires: yum-utils



%description
CloudForms Management Engine

%package lib
Summary:   CloudForms Management Engine libraries
Group:     Applications/Internet
License:   GPLv2+ and Apache Public License 2.0
Requires: %{name} = %{version}-%{release}
BuildRequires: netapp-manageability-sdk-devel
BuildRequires: openssl-devel
BuildRequires: zlib-devel

%description lib
CloudForms Management Engine libraries

%package appliance
Summary:  CloudForms Management Engine appliance configuration
Group:    Applications/Internet
License:  Unknown
Requires: %{name} = %{version}-%{release}
Requires: mingw32-cfme-host
Requires: postgresql92-postgresql
Requires: postgresql92-postgresql-server
Requires: sssd >= 1.11.6
Requires: sssd-dbus >= 1.11.6

%description appliance
Appliance-only configuration and scripts

%package -n mingw32-cfme-host
Summary:  MinGW build of CFME Smart Proxy for win32 target

%description -n mingw32-cfme-host
MinGW build of CFME Smart Proxy for win32 target

%prep
%setup

%build
/usr/bin/scl enable ruby193 "rake build:shared_objects --trace"

### Smart Proxy

# collect ruby
mkdir mingw-ruby
pushd mingw-ruby
mkdir bin lib
for bin in msvcrt-ruby191.dll libssl-10.dll libcrypto-10.dll libyaml-0-2.dll zlib1.dll libexslt-0.dll libxml2-2.dll libxslt-1.dll iconv.dll ruby.exe; do
    cp /usr/i686-w64-mingw32/sys-root/mingw/bin/${bin} bin/
done

cp -r /usr/i686-w64-mingw32/sys-root/mingw/lib/ruby lib/

# collect gems
gems="
actionpack
actionwebservice
activemodel
activerecord
activesupport
arel
binary_struct
builder
bundler
erubis
ezcrypto
facade
handsoap
hike
httpclient
i18n
journey
log4r
more_core_extensions
multi_json
Platform
rack
rack-cache
rack-test
rubyzip
rufus-lru
rufus-scheduler
soap4r
sprockets
tilt
tzinfo
uuidtools
"

pushd lib/ruby/gems/1.9.1
for gem in $gems; do
    cp -r /opt/rh/ruby193/root/usr/share/gems/gems/${gem}-[0-9]* gems/
    cp /opt/rh/ruby193/root/usr/share/gems/specifications/${gem}-[0-9]*.gemspec specifications/
done
popd
popd

pushd host/build_win
# need ruby for file collection!
. /opt/rh/ruby193/enable
make
popd

# symlink smartproxy to expected location
mkdir -p vmdb/product/media/windows/x86
pushd vmdb/product/media/windows/x86
ln -s /usr/i686-w64-mingw32/sys-root/mingw/bin/miq-host-cmd.exe .

%pre

%pretrans -p <lua>
if posix.access('/sbin/service', 'x') then
  if posix.access('/etc/init.d/evmserverd', 'r') then
    local pid = posix.fork ()
    if ( pid == -1 ) then
      print ("The fork failed.")
    elseif ( pid == 0 ) then
      posix.exec('/sbin/service', 'evmserverd', 'update_stop')
    else
      posix.wait(pid)
    end
  end
end

%posttrans -p <lua>
if posix.access('/sbin/service', 'x') then
  if posix.access('/etc/init.d/evmserverd', 'r') then
    local pid = posix.fork ()
    if ( pid == -1 ) then
      print ("The fork failed.")
    elseif ( pid == 0 ) then
      posix.exec('/sbin/service', 'evmserverd', 'update_start')
    else
      posix.wait(pid)
    end
  end
end

%install

gemfiles="lib/Gemfile vmdb/Gemfile"
for gemfile in $gemfiles; do
  sed -i 's/,[^,]*:git.*$//' $gemfile
done

%{__mkdir} -p %{buildroot}
%{__mkdir} -p %{buildroot}%{app_root}
%{__cp} -r system %{buildroot}%{app_root}
%{__cp} -r vmdb %{buildroot}%{app_root}
%{__cp} -r lib %{buildroot}%{app_root}
# %{__cp} -r ca %{buildroot}%{app_root}
find %{buildroot}%{app_root}/lib -type f -name '*.[cho]' -exec rm -f '{}' \;
%{__mkdir} -p %{buildroot}%{app_root}/vmdb/log/apache
%{__mkdir} -p %{buildroot}%{_sysconfdir}/httpd/conf.d

pushd %{buildroot}%{app_root}/vmdb
  rm -f Gemfile.lock
  ln -s lockfiles/RHEL6.4/Gemfile.lock
popd

#symlink some executables
%{__mkdir} -p %{buildroot}/bin
pushd ./system/LINK/bin
  for filename in `ls`; do
    ln -s %{app_root}/system/LINK/bin/$filename %{buildroot}/bin/$filename
  done
popd

#symlink some configuration files
pushd ./system/LINK/etc
  for dirname in `ls`; do
    pushd ./$dirname
      %{__mkdir} -p %{buildroot}/etc/$dirname
      for filename in `ls`; do
        ln -s %{app_root}/system/LINK/etc/$dirname/$filename %{buildroot}/etc/$dirname/$filename
      done
    popd
  done
popd

pushd ./system/LINK
  ln -s %{app_root}/system/LINK/.toprc %{buildroot}/.toprc
popd

#symlink license file for prince PDF
%{__mkdir} -p %{buildroot}/lib/prince/license
ln -s %{app_root}/system/LINK/lib/prince/license/license.dat %{buildroot}/lib/prince/license/license.dat

#copy etc dir from COPY
%{__cp} -r ./system/COPY/etc %{buildroot}/

#copy var dir from COPY
%{__cp} -r ./system/COPY/var %{buildroot}/

# Smart Proxy
%{__mkdir} -p %{buildroot}%{mingw32_bindir}
%{__install} -m 0755 host/build_win/miq-host-cmd.exe %{buildroot}%{mingw32_bindir}/

%postun

%files
%dir %{app_root}
# %{app_root}/ca
%{app_root}/vmdb
%{app_root}/system
/bin/evm_watchdog
/bin/evm_watchdog.rb
/bin/appliance_console
/bin/appliance_console_cli
/bin/miqnet.sh
/bin/miqtop.sh
/etc/default/evm
/etc/default/evm_bundler
/etc/init.d/evminit
/etc/init.d/evmserverd
/etc/init.d/miqtop
/.toprc
/etc/logrotate.d/miq_logs.conf
/etc/profile.d/evm.sh
/lib/prince/license/license.dat
/var/www/html/proxy_pages/invalid_sso_credentials.js

%files lib
%{app_root}/lib

%files appliance
%{_sysconfdir}/init/*
%{_sysconfdir}/sysconfig/*
%{_sysconfdir}/httpd/conf.d/*

%files -n mingw32-cfme-host
%{mingw32_bindir}/miq-host-cmd.exe

%changelog
* Wed Nov 12 2014 Joe VLcek <jvlcek@redhat.com> - 5.3.1.10-1
- Building 5.3.1.10 with RHEL66 for 5.3.z release

* Tue Nov 04 2014 John Prause <john.prause@redhat.com> - 5.3.1.9-1
- Building 5.3.1.9 with RHEL66 for 5.3.z release

* Thu Oct 30 2014 John Prause <john.prause@redhat.com> - 5.3.1.8-1
- Building 5.3.1.8 with RHEL66 for 5.3.z release

* Tue Oct 28 2014 John Prause <john.prause@redhat.com> - 5.3.1.6-1
- Building 5.3.1.6 with RHEL66 for 5.3.z

* Thu Oct 16 2014 John Prause <john.prause@redhat.com> - 5.3.1.2-1
- Building 5.3.1.2 with RHEL65 for initial testing

* Wed Oct 15 2014 Joe Vlcek <jvlcek@redhat.com> - 5.3.0.15-2
- Copy system/COPY/var to buildroot for support for Kerberos Ticket based Single Sign-On

* Mon Sep 29 2014 John Prause <john.prause@redhat.com> - 5.3.0.15-1
- Building 5.3.0.15 for QE final testing before release. Picking up last fixes and the 2nd bash fix.

* Thu Sep 25 2014 John Prause <john.prause@redhat.com> - 5.3.0.14-1
- Building 5.3.0.14 for QE final testing before release. Skipped .13 in tagging.

* Fri Sep 19 2014 John Prause <john.prause@redhat.com> - 5.3.0.12-1
- Building 5.3.0.12 for QE testing.

* Tue Sep 16 2014 John Prause <john.prause@redhat.com> - 5.3.0.11-1
- Building 5.3.0.11 for QE testing.

* Fri Sep 12 2014 John Prause <john.prause@redhat.com> - 5.3.0.10-1
- Building 5.3.0.10 for QE testing.

* Thu Sep 11 2014 John Prause <john.prause@redhat.com> - 5.3.0.8-2
- Building 5.3.0.8 for QE testing.

* Wed Sep 10 2014 John Prause <john.prause@redhat.com> - 5.3.0.8-1
- Building 5.3.0.8 for QE testing.

* Fri Sep 05 2014 John Prause <john.prause@redhat.com> - 5.3.0.7-1
- Building 5.3.0.7 for QE testing.

* Fri Aug 29 2014 John Prause <john.prause@redhat.com> - 5.3.0.6-1
- Building 5.3.0.6 for QE testing.

* Fri Aug 22 2014 John Prause <john.prause@redhat.com> - 5.3.0.5-2
- Building 5.3.0 Beta2 but this time excluding the ca directory.

* Fri Aug 22 2014 John Prause <john.prause@redhat.com> - 5.3.0.5-1
- Building 5.3.0 Beta2

* Tue Aug 05 2014 Joe Rafaniello <jrafanie@redhat.com> - 5.3.0.2-3
- Try adding sssd package as a require to ensure ipa-client meets it's require
- sssd >= 1.9.2-25 for package: ipa-client-3.0.0-37.el6.x86_64

* Tue Aug 05 2014 Joe Rafaniello <jrafanie@redhat.com> - 5.3.0.2-2
- Smoke and mirrors.
- Move the sssd-dbus dependency into cfme-appliance package to force it to resolve first.

* Tue Aug 05 2014 Joe Rafaniello <jrafanie@redhat.com> - 5.3.0.2-1
- Rebase to new 5.3.0.2 to include tarball creation fix.
- Revise 5.3.0.0-14.alpha6 changelog to escape macro using "%%".

* Tue Aug 05 2014 Joe Rafaniello <jrafanie@redhat.com> - 5.3.0.1-2
- Prior tarball included undesired artifacts from running asset precompilation.
- See: https://github.com/ManageIQ/manageiq/pull/341

* Mon Aug 04 2014 Joe Rafaniello <jrafanie@redhat.com> - 5.3.0.1-1
- Add identity packages.
- Rebase to new branch/tag.

* Fri Aug 01 2014 Joe Rafaniello <jrafanie@redhat.com> - 5.3.0.0-18.alpha9
- Update to 5.3.0.0-alpha9.
- Loosen frequently updated dependencies.

* Wed Jul 30 2014 Joe Rafaniello <jrafanie@redhat.com> - 5.3.0.0-17.alpha8
- Add qpid-cpp-client-ssl for https://bugzilla.redhat.com/show_bug.cgi?id=1118902
- Use newer sprockets
- Remove building of the vddk c binding

* Thu Jul 10 2014 John Prause <jprause@redhat.com> - 5.3.0.0-16.alpha8
- Update for 5.3.0.0-16-alpha8 build

* Mon Jun 23 2014 John Prause <jprause@redhat.com> - 5.3.0.0-14.alpha7
- Update for 5.3.0.0-14-alpha7 build

* Tue May 27 2014 Joe VLcek <jvlcek@redhat.com> - 5.3.0.0-14.alpha6
- Include the ca buildroot/app_root directory

* Thu May 22 2014 Joe VLcek <jvlcek@redhat.com> - 5.3.0.0-13.alpha6
- Update for 5.3.0.0-13-alpha6 build

* Fri May 16 2014 Brandon Dunne <bdunne@redhat.com> - 5.3.0.0-12.alpha5
- Update spec to remove files no longer included for logrotate.
- https://github.com/ManageIQ/cfme/pull/2269

* Fri May 16 2014 Brandon Dunne <bdunne@redhat.com> - 5.3.0.0-11.alpha5
- TRUNCATED CHANGELOG See git history or cfme-5.2-rhel-6 branch for older changes

* Tue May 13 2014 Joe VLcek <jvlcek@redhat.com> - 5.3.0.0-10.alpha5
- Fix jbuilder Requires typo

* Mon May 12 2014 Joe VLcek <jvlcek@redhat.com> - 5.3.0.0-9.alpha5
- Update for 5.3.0.0-9-alpha5 build

* Tue Apr 22 2014 Joe Rafaniello <jrafanie@redhat.com> - 5.3.0.0-8.alpha4
- Added BuildRequires for rake.
- Added rake build:shared_objects feature to eliminate duplication.
- For testing, added tarball from upstream sources at: https://github.com/ManageIQ/cfme/pull/2111

* Mon Apr 14 2014 Joe VLcek <jvlcek@redhat.com> - 5.3.0.0-7.alpha4
- Fix build from 5.3.0.0-6-alpha3 5.3.0.0-7-alpha4 build

* Mon Apr 14 2014 Joe VLcek <jvlcek@redhat.com> - 5.3.0.0-6.alpha4
- Update for 5.3.0.0-6-alpha4 build

* Fri Apr 11 2014 Joe VLcek <jvlcek@redhat.com> - 5.3.0.0-5.alpha3
- Update for 5.3.0.0-5-alpha3 build

* Fri Apr 04 2014 Joe VLcek <jvlcek@redhat.com> - 5.3.0.0-4.alpha2
- Restore ruby193-rubygem-amq-protocol and ruby193-rubygem-bunny

* Thu Apr 03 2014 Joe VLcek <jvlcek@redhat.com> - 5.3.0.0-3.alpha2
- Fix excon - for real this time

* Thu Apr 03 2014 Joe VLcek <jvlcek@redhat.com> - 5.3.0.0-2.alpha2
- Fix versions for fog and excon

* Wed Apr 02 2014 Joe VLcek <jvlcek@redhat.com> - 5.3.0.0-1.alpha2
- Update for 5.3.0.0-1-alpha2 build

* Tue Apr 01 2014 Joe Rafaniello <jrafanie@redhat.com> - 5.3.0.0-1.alpha1
- Fix Prince PDF license file "Installed (but unpackaged) file(s) found" error.

* Fri Mar 28 2014 Brandon Dunne <bdunne@redhat.com> - 5.3.0.0-1.alpha1
- Remove Gemfile.appliance_excludes.rb exclusion out of spec
- https://github.com/ManageIQ/cfme/pull/1969

* Mon Mar 10 2014 Brandon Dunne <bdunne@redhat.com> - 5.3.0.0-1.alpha1
- set up symlink for Prince PDF license file.
